HomeGauge Software System Requirements

HomeGauge software is compatible with Windows 7, 8, and 10. Any new laptop or desktop running Windows 10 will support HomeGauge.

Windows Vista or XP are not supported. If you are using Windows Vista or XP you will need to upgrade to Windows 7 or later to use HomeGauge 5 and later versions.

Looking for info and recommendations about the HomeGauge Companion? We have an article for that (click here).

  • 44
  • 16-Oct-2017
  • 57 Views